Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm
Interface SwarmEnvironment

All Known Implementing Classes:
  SwarmEnvironmentImpl

public interface SwarmEnvironment

Container object for Swarm globals. Container object for Swarm globals

Method Summary
`void` | `createArchivedCompleteProbeDisplay$name(java.lang.Object obj, java.lang.String name)`
`void` | `createArchivedProbeDisplay(java.lang.Object obj, java.lang.String name)`
`void` | `createCompleteProbeDisplay(java.lang.Object obj)`
`void` | `createProbeDisplay(java.lang.Object obj)`
`void` | `dumpDirectory()`
`Arguments` | `getArguments()`
`Symbol` | `getCompleted()`
`Symbol` | `getControlStateNextTime()`
`Symbol` | `getControlStateQuit()`
`Symbol` | `getControlStateRunning()`
`Symbol` | `getControlStateStepping()`
`Symbol` | `getControlStateStopped()`
`SwarmActivity` | `getCurrentSwarmActivity()`
`int` | `getCurrentTime()`
`Symbol` | `getEnd()`
`Zone` | `getGlobalZone()`
`boolean` | `getGuiFlag()`
`Archiver` | `getHdf5AppArchiver()`
`Archiver` | `getHdf5Archiver()`
`Symbol` | `getHolding()`
`Symbol` | `getInitialized()`
`Symbol` | `getLanguageCOM()`
`Symbol` | `getLanguageJava()`
`Symbol` | `getLanguageObjc()`
`Archiver` | `getLispAppArchiver()`
`Archiver` | `getLispArchiver()`
`Symbol` | `getMember()`
`ProbeDisplayManager` | `getProbeDisplayManager()`
`ProbeLibrary` | `getProbeLibrary()`
`MT19937gen` | `getRandomGenerator()`
`Symbol` | `getRandomized()`
`Symbol` | `getReleased()`
`Symbol` | `getRunning()`
`Zone` | `getScratchZone()`
`Symbol` | `getSequential()`
`Symbol` | `getStart()`
`Symbol` | `getStopped()`
`Symbol` | `getTerminated()`
`UniformDoubleDist` | `getUniformDblRand()`
`UniformIntegerDist` | `getUniformIntRand()`
`void` | `initSwarm(java.lang.String appName, java.lang.String version, java.lang.String bugAddress, java.lang.String[] args)`
`void` | `setComponentWindowGeometryRecordName$name(java.lang.Object widget, java.lang.Object name)`
`void` | `setComponentWindowGeometryRecordNameFor$widget$name(java.lang.Object obj, java.lang.Object widget, java.lang.Object name)`
`void` | `setWindowGeometryRecordName(java.lang.Object obj, java.lang.String name)`
`java.lang.String` | `typeModule(java.lang.String typeName)`
`void` | `updateDisplay()`
`void` | `verboseMessage(java.lang.String message)`
`void` | `xfprint(java.lang.Object obj)`
`void` | `xprint(java.lang.Object obj)`

Method Detail

### initSwarm

    public void initSwarm(java.lang.String appName,
                          java.lang.String version,
                          java.lang.String bugAddress,
                          java.lang.String[] args)

### getCurrentTime

    public int getCurrentTime()

### getCurrentSwarmActivity

    public SwarmActivity getCurrentSwarmActivity()

### createProbeDisplay

    public void createProbeDisplay(java.lang.Object obj)

### createCompleteProbeDisplay

    public void createCompleteProbeDisplay(java.lang.Object obj)

### createArchivedProbeDisplay

    public void createArchivedProbeDisplay(java.lang.Object obj,
                                           java.lang.String name)

### createArchivedCompleteProbeDisplay$name

    public void createArchivedCompleteProbeDisplay$name(java.lang.Object obj,
                                                        java.lang.String name)

### setWindowGeometryRecordName

    public void setWindowGeometryRecordName(java.lang.Object obj,
                                            java.lang.String name)

### setComponentWindowGeometryRecordNameFor$widget$name

    public void setComponentWindowGeometryRecordNameFor$widget$name(java.lang.Object obj,
                                                                    java.lang.Object widget,
                                                                    java.lang.Object name)

### setComponentWindowGeometryRecordName$name

    public void setComponentWindowGeometryRecordName$name(java.lang.Object widget,
                                                          java.lang.Object name)

### xprint

    public void xprint(java.lang.Object obj)

### xfprint

    public void xfprint(java.lang.Object obj)

### dumpDirectory

    public void dumpDirectory()

### typeModule

    public java.lang.String typeModule(java.lang.String typeName)

### verboseMessage

    public void verboseMessage(java.lang.String message)

### updateDisplay

    public void updateDisplay()

### getArguments

    public Arguments getArguments()

### getStart

    public Symbol getStart()

### getMember

    public Symbol getMember()

### getEnd

    public Symbol getEnd()

### getInitialized

    public Symbol getInitialized()

### getRunning

    public Symbol getRunning()

### getStopped

    public Symbol getStopped()

### getHolding

    public Symbol getHolding()

### getReleased

    public Symbol getReleased()

### getTerminated

    public Symbol getTerminated()

### getCompleted

    public Symbol getCompleted()

### getRandomized

    public Symbol getRandomized()

### getSequential

    public Symbol getSequential()

### getControlStateRunning

    public Symbol getControlStateRunning()

### getControlStateStopped

    public Symbol getControlStateStopped()

### getControlStateStepping

    public Symbol getControlStateStepping()

### getControlStateQuit

    public Symbol getControlStateQuit()

### getControlStateNextTime

    public Symbol getControlStateNextTime()

### getScratchZone

    public Zone getScratchZone()

### getGlobalZone

    public Zone getGlobalZone()

### getRandomGenerator

    public MT19937gen getRandomGenerator()

### getUniformIntRand

    public UniformIntegerDist getUniformIntRand()

### getUniformDblRand

    public UniformDoubleDist getUniformDblRand()

### getProbeLibrary

    public ProbeLibrary getProbeLibrary()

### getProbeDisplayManager

    public ProbeDisplayManager getProbeDisplayManager()

### getHdf5Archiver

    public Archiver getHdf5Archiver()

### getLispArchiver

    public Archiver getLispArchiver()

### getHdf5AppArchiver

    public Archiver getHdf5AppArchiver()

### getLispAppArchiver

    public Archiver getLispAppArchiver()

### getGuiFlag

    public boolean getGuiFlag()

### getLanguageCOM

    public Symbol getLanguageCOM()

### getLanguageJava

    public Symbol getLanguageJava()

### getLanguageObjc

    public Symbol getLanguageObjc()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD